zenilib: zenilib/jni/external/freetype2/src/gzip/inflate.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Enumerations | Functions
inflate.c File Reference
`#include "zutil.h"`
`#include "infblock.h"`

Go to the source code of this file.

## Macros

#define | BAD INFLATE_BAD
#define | DONE INFLATE_DONE
#define | NEEDBYTE {if(z->avail_in==0)return r;r=f;}
#define | NEXTBYTE (z->avail_in--,z->total_in++,*z->next_in++)

## Enumerations

enum

inflate_mode {
METHOD, FLAG, DICT4, DICT3,
DICT2, DICT1, DICT0, BLOCKS,
CHECK4, CHECK3, CHECK2, CHECK1,
DONE, BAD, HEAD, FLAGS,
TIME, OS, EXLEN, EXTRA,
NAME, COMMENT, HCRC, DICTID,
DICT, TYPE, TYPEDO, STORED,
COPY_, COPY, TABLE, LENLENS,
CODELENS, LEN_, LEN, LENEXT,
DIST, DISTEXT, MATCH, LIT,
CHECK, LENGTH, DONE, BAD,
MEM, SYNC
}

## Functions

| ZEXPORT (int)

## Macro Definition Documentation

#define BAD INFLATE_BAD

Definition at line 10 of file inflate.c.

Referenced by inflate(), inflate_blocks(), inflate_fast(), and inflateBack().

#define DONE INFLATE_DONE

Definition at line 9 of file inflate.c.

Referenced by inflate(), inflate_blocks(), and inflateBack().

#define NEEDBYTE {if(z->avail_in==0)return r;r=f;}

Definition at line 141 of file inflate.c.

#define NEXTBYTE (z->avail_in--,z->total_in++,*z->next_in++)

Definition at line 144 of file inflate.c.

## Enumeration Type Documentation

enum inflate_mode

Enumerator
METHOD |
FLAG |
DICT4 |
DICT3 |
DICT2 |
DICT1 |
DICT0 |
BLOCKS |
CHECK4 |
CHECK3 |
CHECK2 |
CHECK1 |
DONE |
BAD |
HEAD |
FLAGS |
TIME |
OS |
EXLEN |
EXTRA |
NAME |
COMMENT |
HCRC |
DICTID |
DICT |
TYPE |
TYPEDO |
STORED |
COPY_ |
COPY |
TABLE |
LENLENS |
CODELENS |
LEN_ |
LEN |
LENEXT |
DIST |
DISTEXT |
MATCH |
LIT |
CHECK |
LENGTH |
DONE |
BAD |
MEM |
SYNC |

Definition at line 12 of file inflate.c.

## Function Documentation

ZEXPORT | ( | int |  | ) |

Definition at line 54 of file inflate.c.

References BLOCKS, inflate_blocks_reset(), METHOD, Tracev, Z_NULL, Z_OK, and Z_STREAM_ERROR.